"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.mainIneer = mainIneer, exports.onePage = onePage, exports.digitalPlan = digitalPlan, 
exports.giot = giot, exports.dispatch = dispatch, exports.analysis = analysis, exports.dataAnaysisUrl = dataAnaysisUrl, 
exports.forumUrl = forumUrl, exports.helpCenterUrl = helpCenterUrl;

var _amosTool = require("amos-tool"), endConf = _interopRequireWildcard(require("amos-processor/lib/config/endconf")), _request = require("../utils/request"), AmosConfig = endConf.AmosConfig, dataAnalysis = AmosConfig.outterURI.dataAnalysis, mainIneerUrl = AmosConfig.outterURI.mainIneer, onePageUrl = AmosConfig.outterURI.onePage, digitalPlanUrl = AmosConfig.outterURI.digitalPlan, giotUrl = AmosConfig.outterURI.giot, dispatchUrl = AmosConfig.outterURI.dispatch, analysisUrl = AmosConfig.outterURI.analysis, forum = AmosConfig.outterURI.forum, helpCenter = AmosConfig.outterURI.helpCenter;

function mainIneer() {
    return mainIneerUrl;
}

function onePage() {
    return (0, _amosTool.parseText)(onePageUrl, {
        user: (0, _request.getUser)(),
        token: (0, _request.getToken)()
    });
}

function digitalPlan() {
    return (0, _amosTool.parseText)(digitalPlanUrl, {
        user: (0, _request.getUser)(),
        token: (0, _request.getToken)()
    });
}

function giot() {
    return (0, _amosTool.parseText)(giotUrl, {
        user: (0, _request.getUser)(),
        token: (0, _request.getToken)()
    });
}

function dispatch() {
    return (0, _amosTool.parseText)(dispatchUrl, {
        user: (0, _request.getUser)(),
        token: (0, _request.getToken)()
    });
}

function analysis() {
    return (0, _amosTool.parseText)(analysisUrl, {
        user: (0, _request.getUser)(),
        token: (0, _request.getToken)()
    });
}

function dataAnaysisUrl() {
    return dataAnalysis;
}

function forumUrl() {
    return forum;
}

function helpCenterUrl() {
    return helpCenter;
}