"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _DeviceEnum = require("./../../common/DeviceEnum"), _DeviceLang = require("./../../common/DeviceLang"), _EditCapacityProperty = _interopRequireDefault(require("./../deviceAddEdit/EditCapacityProperty"));

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var a, r = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var l = (0, _getPrototypeOf2.default)(this).constructor;
            a = Reflect.construct(r, arguments, l);
        } else a = r.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, a);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

require("./../device-detail.scss");

var CapacityPropertyCell = function(e) {
    (0, _inherits2.default)(a, e);
    var t = _createSuper(a);
    function a(e) {
        var r;
        return (0, _classCallCheck2.default)(this, a), r = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(r), "handleEditProperty", (function(e) {
            console.log();
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(r), "handleAddProperty", (function(e) {
            console.log();
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(r), "deleteCurrentCapacityProperty", (function() {
            var e = r.props.propertyInfo.id;
            r.props.deleteCapacityProperty(e);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(r), "getDataContent", (function(e) {
            var t = e.type, a = e.dataType, r = [];
            if (1 !== t && 4 !== t || 1 !== a && 2 !== a) if (4 === a && 3 !== t) r.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
                placement: "top",
                title: "枚举范围：",
                content: e.enumRange
            }, _react.default.createElement("label", null, "枚举范围：", e.enumRange)))); else if (3 === t) r.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "单位：", e.unit))); else if (1 === t) if (3 === a) {
                var l = String(Boolean(parseInt(e.valueStr)));
                r.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
                    placement: "top",
                    title: "默认值：",
                    content: l
                }, _react.default.createElement("div", null, "默认值：", l))));
            } else r.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
                placement: "top",
                title: "默认值：",
                content: e.valueStr
            }, _react.default.createElement("div", null, "默认值：", e.valueStr)))); else 2 === t ? r.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "数值：", e.valueStr))) : r.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "单位：", e.unit))); else r.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "最大值：", e.maxValue), _react.default.createElement("div", null, "最小值：", e.minValue)));
            return r;
        })), r.state = {
            textEdit: !1
        }, r;
    }
    return (0, _createClass2.default)(a, [ {
        key: "componentDidMount",
        value: function() {}
    }, {
        key: "render",
        value: function() {
            var e = this.props, t = e.propertyInfo, a = e.visibility;
            return _react.default.createElement("div", {
                className: "capacity-cell-detail"
            }, _react.default.createElement(_amosAntd.Row, null, _react.default.createElement(_amosAntd.Col, {
                span: 24
            }, _react.default.createElement("div", {
                className: "capacity-cell-title"
            }, _react.default.createElement("div", {
                className: "capacity-cell-title-text"
            }, t.displayName), 1 === a ? _react.default.createElement("span", null, _react.default.createElement(_EditCapacityProperty.default, (0, 
            _extends2.default)({
                propertyInfo: t
            }, this.props)), _react.default.createElement("div", {
                className: "capacity-cell-delete-button",
                onClick: this.deleteCurrentCapacityProperty
            }, _react.default.createElement("img", {
                src: require("./../../../../assets/iot/img/mk_delect.png"),
                alt: ""
            }), _react.default.createElement("label", null))) : null), _react.default.createElement("div", {
                className: "capacity-cell-content"
            }, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
                placement: "top",
                title: "属性名：",
                content: t.name
            }, _react.default.createElement("label", null, "属性名：", t.name)), _react.default.createElement(_amosAntd.Popover, {
                placement: "top",
                title: "显示名称：",
                content: t.displayName
            }, _react.default.createElement("div", null, "显示名称：", t.displayName))), _react.default.createElement("div", null, _react.default.createElement("div", {
                className: "single-info"
            }, "分类：", (0, _DeviceLang.stringUtil)(_DeviceEnum.capacatyclassifyEnum, t.type))), _react.default.createElement("div", null, _react.default.createElement("div", {
                className: "single-info"
            }, "数据类型：", (0, _DeviceLang.stringUtil)(_DeviceEnum.dataTypeEnum, t.dataType))), this.getDataContent(t), _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
                placement: "top",
                title: "说明：",
                content: t.descr
            }, _react.default.createElement("div", {
                className: "single-info"
            }, "说明：", t.descr)))))));
        }
    } ]), a;
}(_react.Component);

CapacityPropertyCell.displayName = "CapacityPropertyCell", CapacityPropertyCell.propTypes = {
    deleteCapacityProperty: _propTypes.default.func,
    propertyInfo: _propTypes.default.object,
    key: _propTypes.default.number
};

var _default = CapacityPropertyCell;

exports.default = _default;