"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _ruleDesignService = require("./../../../services/ruleDesignService"), _OutputNodeConfig = _interopRequireDefault(require("./OutputNodeConfig")), _DataSourceConfig = _interopRequireDefault(require("./DataSourceConfig"));

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, i = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var u = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(i, arguments, u);
        } else r = i.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var RuleConfigPanel = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var i;
        return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(i), "getConfigPanel", (function() {
            var e = i.props.config.nodeType, t = [];
            return "datanodeDevice" === e || "datanodeCurrentUser" === e || "datanodeTask" === e || "datanodeView" === e ? t.push(_react.default.createElement(_DataSourceConfig.default, i.props)) : "outputEmail" !== e && "outputMqtt" !== e && "outputTcp" !== e || t.push(_react.default.createElement(_OutputNodeConfig.default, i.props)), 
            t;
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "queryRuleObj", (function() {
            var e = i.props.objId;
            e && (0, _ruleDesignService.initStageView)(e).then((function(e) {
                i.setState({
                    ruleSubObj: e.rule
                });
            }));
        })), i.state = {
            capacityBasicInfo: {},
            interfaceBasicInfo: {},
            ruleSubObj: {}
        }, i;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentDidMount",
        value: function() {
            this.queryRuleObj();
        }
    }, {
        key: "componentWillReceiveProps",
        value: function(e) {}
    }, {
        key: "render",
        value: function() {
            return _react.default.createElement("div", {
                className: "config-panel"
            }, this.getConfigPanel());
        }
    } ]), r;
}(_react.Component);

RuleConfigPanel.displayName = "RuleConfigPanel", RuleConfigPanel.propTypes = {
    config: _propTypes.default.object,
    objId: _propTypes.default.string,
    closeTriggerDesigner: _propTypes.default.func
};

var _default = RuleConfigPanel;

exports.default = _default;