"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _processor = require("../utils/processor"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts"));

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, l = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var o = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(l, arguments, o);
        } else r = l.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var ProtocolOptionsFilter = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var l;
        return (0, _classCallCheck2.default)(this, r), l = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(l), "componentDidMount", (function() {
            var e = l.props.flag;
            _processor.AmosFetch.post(_urlConsts.default.protocolDataList, {
                data: {}
            }).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                if ("SUCCESS" === e.result && null !== e.dataList) {
                    var t = [];
                    e.dataList.map((function(e) {
                        t.push({
                            value: e.id,
                            label: e.name,
                            selected: !1,
                            style: "all-filter-btn"
                        });
                    })), l.setState({
                        protocolOptions: t
                    });
                }
            }));
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(l), "delFilter", (function() {
            var e = l.state, t = e.protocolOptions;
            e.clearBtnStyle;
            t.map((function(e) {
                e.selected = !1, e.style = "all-filter-btn";
            })), l.setState({
                protocolOptions: t,
                clearBtnStyle: "all-filter-btn selected-btn"
            }), l.props.protocolSelectFunc([]);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(l), "selectClick", (function(e) {
            var t = [], r = l.state, o = r.protocolOptions, i = r.clearBtnStyle;
            o.map((function(r) {
                r.label === e.target.innerText && (r.selected ? (r.selected = !1, r.style = "all-filter-btn") : (r.selected = !0, 
                r.style = "all-filter-btn selected-btn")), r.selected && t.push(r);
            })), i = 0 === t.length ? "all-filter-btn selected-btn" : "all-filter-btn", l.setState({
                protocolOptions: o,
                clearBtnStyle: i
            }), l.props.protocolSelectFunc(t);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(l), "disableAllSelected", (function() {
            l.setState({
                clearBtnStyle: "all-filter-btn selected-btn"
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(l), "AllProtocolOptionFunc", (function() {
            var e = l.state, t = e.protocolOptions, r = e.clearBtnStyle, o = [];
            return o.push(_react.default.createElement("div", {
                key: "protocol0",
                className: r,
                onClick: l.delFilter
            }, _react.default.createElement("div", null, "不限"))), t.map((function(e) {
                o.push(_react.default.createElement("div", {
                    key: "protocol".concat(e.value),
                    className: e.style,
                    onClick: l.selectClick
                }, e.label));
            })), o;
        })), l.state = {
            protocolOptions: [],
            clearBtnStyle: "all-filter-btn selected-btn"
        }, l;
    }
    return (0, _createClass2.default)(r, [ {
        key: "render",
        value: function() {
            return this.AllProtocolOptionFunc();
        }
    } ]), r;
}(_react.Component);

ProtocolOptionsFilter.displayName = "ProtocolOptionsFilter", ProtocolOptionsFilter.propTypes = {
    protocolSelectFunc: _propTypes.default.func,
    flag: _propTypes.default.string
};

var _default = ProtocolOptionsFilter;

exports.default = _default;