"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework"), _rayValidate = require("ray-validate");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var l = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, l);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var ThresholdInput = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "onInputChange", (function(e, t) {
            var r = a.props, l = r.infoKey, u = r.updateCapacityThresholdInfo, n = a.state.thresholdValue, i = t.target.value;
            ((0, _rayValidate.isNum)(i) || (0, _rayValidate.isNum)(i.substring(0, i.length - 1)) && "." === i.substring(i.length - 1, i.length)) && (n[e] = i, 
            u(l, n), a.setState({
                thresholdValue: n
            }));
        })), a.state = {
            thresholdValue: {
                upper: e.upper,
                lower: e.lower
            }
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentWillMount",
        value: function() {}
    }, {
        key: "componentDidMount",
        value: function() {
            var e = this.props, t = e.infoKey;
            (0, e.updateCapacityThresholdInfo)(t, this.state.thresholdValue);
        }
    }, {
        key: "componentWillReceiveProps",
        value: function(e) {}
    }, {
        key: "componentWillUnmount",
        value: function() {}
    }, {
        key: "render",
        value: function() {
            var e = this, t = this.state.thresholdValue, r = this.props, a = r.unit, l = r.disabled, u = "threshold-input-root";
            return r.isHidden && (u = "".concat(u, " hidden-threshold-input")), _react.default.createElement("div", {
                className: u
            }, _react.default.createElement(_amosFramework.Input, {
                disabled: l,
                value: t.lower,
                placeholder: "",
                className: "threshold-end-input",
                onChange: function(t) {
                    return e.onInputChange("lower", t);
                },
                title: t.lower
            }), _react.default.createElement("div", {
                className: "threshold-input-symbol"
            }, "-"), _react.default.createElement(_amosFramework.Input, {
                disabled: l,
                value: t.upper,
                placeholder: "",
                className: "threshold-start-input",
                onChange: function(t) {
                    return e.onInputChange("upper", t);
                },
                title: t.upper
            }), _react.default.createElement("div", {
                title: a,
                className: "threshold-input-unit"
            }, a));
        }
    } ]), r;
}(_react.Component);

ThresholdInput.displayName = "ThresholdInput", ThresholdInput.propTypes = {
    unit: _propTypes.default.string,
    upper: _propTypes.default.number,
    lower: _propTypes.default.number,
    infoKey: _propTypes.default.string,
    updateCapacityThresholdInfo: _propTypes.default.func,
    disabled: _propTypes.default.bool,
    isHidden: _propTypes.default.bool
}, ThresholdInput.__AMOS_CHECKBOX = !0;

var _default = ThresholdInput;

exports.default = _default;