"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _processor = require("../../../utils/processor"), _amosAntd = require("amos-antd"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts")), _TableCard = _interopRequireDefault(require("./TableCard")), _AddInterfaceCard = _interopRequireDefault(require("./AddInterfaceCard"));

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, i = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var a = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(i, arguments, a);
        } else r = i.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var TableContainer = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var i;
        return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(i), "delInfo", (function(e) {
            var t = "".concat(_urlConsts.default.interfaceDelete, "/").concat(e);
            _processor.AmosFetch.del(t).then((function(e) {
                if (e.ok) return e.text();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                var t = _amosAntd.Modal.warning({
                    title: "系统提示",
                    content: "删除成功！",
                    okText: "确定"
                });
                setTimeout((function() {
                    return t.destroy();
                }), 2e3);
                var r = i.props, a = r.visibility, n = r.criterias;
                i.props.requestMethod(a, n);
            }));
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "showTable", (function() {
            var e = i.props.dataList, t = [], r = i.props, a = r.visibility, n = r.isDel;
            return "1" === a && t.push(_react.default.createElement(_AddInterfaceCard.default, (0, 
            _extends2.default)({
                key: 0
            }, i.props))), e.length > 0 && e.map((function(e) {
                t.push(_react.default.createElement(_TableCard.default, (0, _extends2.default)({
                    key: e.id
                }, i.props, {
                    cardData: e,
                    delInfo: i.delInfo,
                    isDel: n
                })));
            })), t;
        })), i.state = {}, i;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentWillMount",
        value: function() {}
    }, {
        key: "componentWillReceiveProps",
        value: function(e) {}
    }, {
        key: "render",
        value: function() {
            return _react.default.createElement("div", {
                className: "table-container"
            }, this.showTable());
        }
    } ]), r;
}(_react.Component);

TableContainer.displayName = "TableContainer", TableContainer.propTypes = {
    isDel: _propTypes.default.bool,
    criterias: _propTypes.default.array,
    visibility: _propTypes.default.string,
    requestMethod: _propTypes.default.func,
    dataList: _propTypes.default.any
};

var _default = TableContainer;

exports.default = _default;