"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _processor = require("../../../utils/processor"), _urlConsts = require("../../../consts/urlConsts"), _viewConsts = require("../../../consts/viewConsts"), _DeviceEnum = require("./../common/DeviceEnum"), _DeviceLang = require("./../common/DeviceLang");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var i = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, i);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

require("./deviceCard.scss");

var TableCard = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "confirm", (function() {
            var e = a.props, t = e.cardData, r = e.updateAddView, i = "".concat(_urlConsts.OltSerUrl.deleteDeviceById, "/").concat(t.id);
            _processor.AmosFetch.del(i).then((function(e) {
                if (e.ok) return e.text();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                _amosFramework.message.success("删除成功！"), r("2");
            }));
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "delBtn", (function() {
            _amosAntd.Modal.confirm({
                title: "删除",
                content: "是否删除所选信息？",
                okText: "确定",
                cancelText: "取消",
                onOk: a.confirm,
                onCancel: function() {}
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showDetail", (function() {
            var e = a.props;
            (0, e.updateAddView)("3", e.cardData);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "extraBtn", (function() {
            var e = a.props, t = e.isDel, r = e.cardData, i = void 0 === r ? {} : r, l = (0, 
            _viewConsts.completeDevIcon)(i.typeImg), n = [];
            return n.push(_react.default.createElement("div", {
                key: "left0",
                className: "title-left"
            }, _react.default.createElement("img", {
                src: l,
                alt: ""
            }))), t ? n.push(_react.default.createElement("a", {
                key: "del0",
                onClick: a.delBtn
            }, _react.default.createElement(_amosAntd.Icon, {
                type: "close",
                className: "basic-info-add"
            }))) : n.push(_react.default.createElement("div", {
                key: "block0",
                style: {
                    width: "12px",
                    display: "inline-block"
                }
            })), n;
        })), a.state = {}, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "render",
        value: function() {
            var e = this.props.cardData, t = e.img, r = "" === t ? "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/default.png") : "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/").concat(t), a = e ? e.name : "", i = e ? (0, 
            _DeviceLang.stringUtil)(_DeviceEnum.deviceCategoryEnum, parseInt(e.type)) : "", l = e ? e.model : "", n = e ? e.industryName : "";
            return _react.default.createElement("div", {
                className: "table-card "
            }, _react.default.createElement(_amosAntd.Card, {
                title: a,
                extra: this.extraBtn()
            }, _react.default.createElement("a", {
                onClick: this.showDetail
            }, _react.default.createElement("div", {
                className: "allspace"
            }, _react.default.createElement("div", {
                className: "card-info"
            }, _react.default.createElement("img", {
                src: r,
                alt: "device"
            })), _react.default.createElement("div", {
                className: "card-info"
            }, _react.default.createElement("p", {
                title: l
            }, "型号：", l), _react.default.createElement("p", {
                title: i
            }, "类别：", i), _react.default.createElement("p", {
                title: n
            }, "所属行业：", n))))));
        }
    } ]), r;
}(_react.Component);

TableCard.displayName = "TableCard", TableCard.propTypes = {
    cardData: _propTypes.default.any,
    isDel: _propTypes.default.bool,
    updateAddView: _propTypes.default.func,
    requestMethod: _propTypes.default.func
};

var _default = TableCard;

exports.default = _default;