"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _echarts = require("amos-viz/lib/echarts"), _amosReactRouter = require("amos-react-router"), _processor = require("../../../../utils/processor"), _urlConsts = _interopRequireDefault(require("../../../../consts/urlConsts")), _AlarmData = require("./chartData/AlarmData");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var l = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, l);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var Alarm = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "eConsole", (function(e) {
            var t = e.dataIndex;
            console.log(t), 0 === t ? _amosReactRouter.browserHistory.push("/main/monitor/alarmManage/recentAlarm?level=1") : 2 === t ? _amosReactRouter.browserHistory.push("/main/monitor/alarmManage/recentAlarm?level=2") : 4 === t && _amosReactRouter.browserHistory.push("/main/monitor/alarmManage/recentAlarm?level=3");
        })), a.state = {
            count: 0,
            critical: 0,
            major: 0,
            minor: 0
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentWillMount",
        value: function() {
            var e = this, t = "".concat(_urlConsts.default.getAlarmCount);
            _processor.AmosFetch.get(t).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(t) {
                if ("SUCCESS" === t.result) {
                    var r = t.dataList.critical, a = t.dataList.major, l = t.dataList.minor, i = r + a + l;
                    e.setState({
                        count: i,
                        critical: r,
                        major: a,
                        minor: l
                    });
                }
            }));
        }
    }, {
        key: "render",
        value: function() {
            var e = this, t = this.state, r = t.count, a = t.critical, l = t.major, i = t.minor, n = [], u = {
                type: "click",
                handler: this.eConsole
            };
            return n.push(u), _react.default.createElement("div", {
                className: "overview-item-chart"
            }, _react.default.createElement("div", {
                className: "overview-alarm-chart"
            }, _react.default.createElement(_echarts.PieChart, {
                pieOps: (0, _AlarmData.option)(a, l, i),
                chartStyle: {
                    width: "100%",
                    height: "82px"
                },
                eventpool: n
            })), _react.default.createElement("div", {
                className: "overview-alarm-item title"
            }, _react.default.createElement("p", {
                className: "value"
            }, r), _react.default.createElement("p", {
                className: ""
            }, "告警总数")), _react.default.createElement("div", {
                className: "overview-alarm-item first"
            }, _react.default.createElement("p", {
                className: "value",
                onClick: function(t) {
                    return e.eConsole({
                        dataIndex: 0
                    });
                }
            }, a), _react.default.createElement("p", {
                className: ""
            }, _react.default.createElement("span", null), "一级")), _react.default.createElement("div", {
                className: "overview-alarm-item second"
            }, _react.default.createElement("p", {
                className: "value",
                onClick: function(t) {
                    return e.eConsole({
                        dataIndex: 2
                    });
                }
            }, l), _react.default.createElement("p", {
                className: ""
            }, _react.default.createElement("span", null), "二级")), _react.default.createElement("div", {
                className: "overview-alarm-item third"
            }, _react.default.createElement("p", {
                className: "value",
                onClick: function(t) {
                    return e.eConsole({
                        dataIndex: 4
                    });
                }
            }, i), _react.default.createElement("p", {
                className: ""
            }, _react.default.createElement("span", null), "三级")));
        }
    } ]), r;
}(_react.Component);

Alarm.displayName = "Alarm";

var _default = Alarm;

exports.default = _default;